Application: gvSIG desktop - gvSIG bugs #2690
Export to KML application error
07/21/2014 05:51 AM - Antonio Falciano

Status: Closed % Done: 100%
Priority: High Spent time: 0.00 hour
Category:

Target version: 2.1.0-2260

Severity: Major Add-on version:

gvSIG version: 2.1.0 Add-on build:
Has patch: Hito:

Add-on name: Unknown

Description

Steps to reproduce this bug:
- create and open a view;
- add a whatever vector layer and activate it;
- right click on the layer in the ToC and then click on Export to... (alternatively, use the Layer > Export to... menu option)
- choose the KML format in the wizard and go on... An application error occurs.

Related issues:
Related to Application: gvSIG desktop - gvSIG add-on requests # 2852: new add... Closed 10/06/2014
Related to Application: gvSIG desktop - gvSIG bugs # 2426: SHP provider does ... Closed 03/06/2014

Associated revisions

Revision 41874 - 12/10/2014 12:47 PM - Joaquin del Cerro Murciano
refs #2690. Corregido un error al intetar reproyectar un punto pasandole con transformacion un null. Se ha dejado que si recibe un null no reproyecta

el punto dejandolo sin modificar. Esto pasaba con la implementacion de proyecciones de jCRS al intenta reproyectar de 4326 a 4326 (la misma
proyeccion).

History

#1 - 07/22/2014 05:49 AM - Alvaro Anguix
- gvSIG build changed from 2237 to 2238

- Target version set to 2.1.0-2259-rc3

- Priority changed from Normal to High

- Assignee set to Joaquin del Cerro Murciano

#2 - 07/24/2014 09:31 AM - Joaquin del Cerro Murciano
- % Done changed from 0 to 40
- Status changed from New to In progress

#3 - 07/25/2014 10:09 AM - Joaquin del Cerro Murciano
- % Done changed from 40 to 100

- Status changed from In progress to Fixed

#4 - 07/27/2014 09:42 PM - Joaquin del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2239-testing
#5 - 07/28/2014 06:48 AM - Antonio Falciano

This fix doesn't work in my case. The wizard returns the following message: "An error has been produced exporting a store"

#6 - 07/28/2014 08:55 AM - Joaquin del Cerro Murciano

- Target version changed from 2.1.0-2239-testing to 2.1.0-2259-rc3
- Status changed from Fixed to New

#7 - 10/06/2014 11:34 AM - Joaquin del Cerro Murciano

- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2248-testing
- Status changed from New to Fixed

Hasta donde he podido comprobarlo a mi me funciona.
Voy a suponer que se trata de algun error en la generacion del paquete de GPE, lo generare de nuevo y lo marco como corregido. Si persiste lo

volveremos a reabrir.

#8 - 10/06/2014 12:16 PM - Joaquin del Cerro Murciano

- Related to gvSIG add-on requests #2852: new addon for org.gvsig.gpe.app.mainplugin-2.1.4-2104 added

#9 - 10/07/2014 11:52 AM - Antonio Falciano

- Status changed from Fixed to New
- File Export_to_KML_2248.log added

It doesn't work also in build 2248. | attach a new log.

#10 - 10/07/2014 11:53 AM - Antonio Falciano

- Target version changed from 2.1.0-2248-testing to 2.1.0-2259-rc3

#11 -10/10/2014 11:19 AM - Joaquin del Cerro Murciano

Antonio, ¢, podrias adjuntar o hacerme llegar por correo el shape que estas usando asi como indicarme la proyeccion de la vista y la proyeccion con la

que cargas el shape en la vista ?

#12 - 10/10/2014 11:49 AM - Antonio Falciano

Hi Joaquin, I've just tried with this shape [1] (EPSG:4326) in a view defined in the same CRS and the same error happens.

[1] http://www.mappinghacks.com/data/TM_WORLD BORDERS-0.2.zip

#13 - 11/26/2014 07:09 AM - Alvaro Anguix
- File gvSIG.log added

He exportado varias capas de lineas, puntos y poligonos y funciona.
Sin embargo con la capa de paises me falla (adjunto log).

No sé si tendra que ver con la existencia de multigeometrias
#14 - 11/26/2014 07:16 AM - Alvaro Anguix
- Related to gvSIG bugs #2426: SHP provider does not create MultiPrimitives added

#15 - 12/01/2014 03:00 PM - Joaquin del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2268-rc4

#16 - 12/10/2014 11:18 AM - Alvaro Anguix
- Target version changed from 2.1.0-2268-rc4 to 2.1.0-2260

#17 - 12/10/2014 12:48 PM - Joaquin del Cerro Murciano

Corregido el error para que no intente reproyectar puntos cuando se intenta pasar de una proyeccion a si misma.

#18 - 12/10/2014 12:48 PM - Joaquin del Cerro Murciano

- Status changed from New to Fixed

#19 - 12/17/2014 05:09 PM - Antonio Falciano
- Status changed from Fixed to Closed

Files

Export_to_KML_2237.log 310 KB 07/21/2014 Antonio Falciano
Export_to_KML_2248.log 326 KB 10/07/2014 Antonio Falciano
gvSIG.log 353 KB 11/26/2014 Alvaro Anguix
